# Uses of Class
javax.xml.crypto.KeySelectorException

Packages that use KeySelectorException
Package
Description
javax.xml.crypto
Common classes for XML cryptography.

## Uses of KeySelectorException in javax.xml.crypto

Methods in javax.xml.crypto that throw KeySelectorException
Modifier and Type
Method
Description
`abstract KeySelectorResult`
KeySelector.`select​(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`
Attempts to find a key that satisfies the specified constraints.